%define realname urlgrabber
%global momorel 1

Summary: A high-level cross-protocol url-grabber
Name: python-urlgrabber
Version: 2.9.6
Release: %{momorel}m
%NoSource 0 http://linux.duke.edu/projects/urlgrabber/download/%{realname}-%{version}.tar.gz e4afa725cf63b2684019f92cd8255671
License: LGPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Url: http://linux.duke.edu/projects/urlgrabber/

%description
A high-level cross-protocol url-grabber for python supporting HTTP, FTP 
and file locations.  Features include keepalive, byte ranges, throttling,
authentication, proxies and more.

%prep
%setup -n %{realname}-%{version}

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Wed Mar 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.9.6-1m)
- import from Fedora

* Tue Mar  8 2005 Jeremy Katz <katzj@redhat.com> - 2.9.6-1
- update to 2.9.6

* Mon Mar  7 2005 Jeremy Katz <katzj@redhat.com> - 2.9.5-1
- import into dist
- make the description less of a book

* Mon Mar  7 2005 Seth Vidal <skvidal@phy.duke.edu> 2.9.5-0
- 2.9.5

* Thu Feb 24 2005 Seth Vidal <skvidal@phy.duke.edu> 2.9.3-0
- first package for fc3
- named python-urlgrabber for naming guideline compliance

